mod render;
pub mod svg;

use leptos::*;
use wasm_bindgen::JsCast;

#[component]
fn App(cx: Scope) -> impl IntoView {
    let (count, set_count) = create_signal(cx, 0);

    view! { cx,
        <button on:click=move |_| set_count(count.get() + 1)>
            "Click me: "
            {move || count.get()}
        </button>
    }
}

pub fn main() {
    let root = document().query_selector("main").unwrap().unwrap();
    mount_to(root.unchecked_into(), |cx| view! { cx, <App/> });
}